*{
    box-sizing: border-box;
}

:root{
    --ubuntu: 'Ubuntu Mono', monospace;
    --light-blue: rgb(212, 236, 236);
    --purple: rgb(110, 53, 98);
}
@import url('https://fonts.googleapis.com/css2?family=Ubuntu+Mono:wght@400;700&display=swap');


body{
    background-color: var(--light-blue);
    /* background-image: url(/img/bg-mobile.svg); */
    background-position: 10px 250px;
    background-repeat: no-repeat;
    background-size: cover;
    color: black;
    font-family: var(--ubuntu);
    padding: 0;
    margin: 0 auto;
}

hr{
    background-color: black;
    margin: 5% auto;
    width: 80%;
}

i{
    color: var(--purple);
}
#nav{
    height: 5vh;
    min-width: 375px;
    width: 100vw;
    overflow: hidden;
    position: fixed;
    color: black;
    background-color: white;
    border-bottom: 2px solid var(--purple);
}

#nav a{
    text-decoration: none;
}
#menu{
    display: inline-block;
    width: 50%;
}
#menu a, #menu p{
    height: 4vh;
    display: inline-block;
    width: 100%;
    padding: 5%;
}
#menu p{
    margin: 0;
}

#menu p:nth-child(2){
    display: none;
}

#nav:hover{
    height: fit-content;
}
#social{
    width: 30%;
    float: right;
}
#social a{
    display: inline-block;
    padding: 5%;
    width: 7vw;
    height: 50%;
    text-align: center;
}

#hello{
    background: var(--purple);
    color: white;
    background-image: url('https://reedwane.github.io/mini-portfolio/img/rain_drops_background.JPG'), url('/img/rain_drops_background.JPG');
    background-size: cover;
    width: 100vw;
    min-width: 375px;
    height: 25vh;
    min-height: 250px;
    padding: 5%;
    padding-top: 10%;
}

h2, h3{
    text-align: center;
}
#about{
    margin-top: 5%;
    width: 100vw;
}
.my-photo{
    padding: 1%;
    width: 100vw;
    min-width: 375px;
    height: fit-content;
    background-color: var(--purple);
    overflow: scroll;
}

.photo{
    display: inline-block;
    width: 50%;
    margin: 0;
}
.my-photo img{
    width: 100%;
    height: 100%;
    border-right: solid 10px rgb(32, 28, 28);
}

.my-photo p{
    width: 50%;
    height: 80%;
    color: white;
    float: right;
    /* clear: left; */
    padding: 2% 2% 0 2%;
    text-align: center;
}

.more-info, .education, .learning{
    min-width: 375px;
    text-align: center;
    font-weight: bold;
    background-color: white;
    padding: 5%;
}

.more-info h3, .education h3, .learning h3{
    margin-bottom: 0%;
}

.education{
    background-color: var(--light-blue);
}

.abilities{
    min-width: 375px;
}

.lang-list{
    display: grid;
    grid-template-columns: 1fr 1fr;
}
.lang-list ul{
    display: inline-block;
    /* width: 48%; */
    font-size: 120%;
}
.lang-list li{
    width: 100%;
    list-style-type: square;
}

progress{
    color: white;
    background: var(--purple);
    height: 10px;
    display: inline-block;
}
progress::-webkit-progress-value {
    background: white;
}
progress::-webkit-progress-bar {
    background: var(--purple);
    
}

#portfolio{
    background: white;
    min-width: 375px;
}

#portfolio-list{
    min-width: 375px;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    row-gap: 5vh;

}
.screenshot{
    width: 80vw;
    height: fit-content;
    margin: 0 auto;
    display: inline-block;
    background-color: var(--light-blue);
}

.screenshot a{
    width: 100%;
    height: 8vh;
}

a>img{
    width: 100%;
    height: auto;
}

a>img:hover{
    opacity: .7;
    content: "visit";
}

#contact {
    min-width: 375px;
    text-align: center;
    font-weight: bold;
    background-color: var(--light-blue);
    padding: 5%;
}
#contact span{
    display: block;
    margin-top: 5%;
}
#contact a {
    text-decoration: none;
    color: black;
}

footer {
    background: var(--purple);
    height: 5vh;
    min-width: 375px;
    color: white;
    text-align: center;
    margin-bottom: 0;
}

footer p{
    margin: 0 auto;
}




@media screen and (min-width: 500px) {
    #nav i{
        color: white;
    }
    #nav i:hover{
        color: var(--light-blue);
    }
    #nav{
        background-color: var(--purple);
        color: white;
        height: fit-content;
    }
    #menu p:nth-child(1){
        display: none;
    }
    #menu p:nth-child(2){
        display: inline-block;
    }

    #menu a, #menu p{
        color: white;
        height: 4vh;
        width: 23%;
        padding: 3%;
        text-align: center;
    }
    #menu a:visited{
        color: wheat;
    }

    .my-photo{
        height: fit-content;
        max-height: 50vh;
        overflow: hidden;
    }

    .my-photo p{
        width: 50%;
        height: 80%;
        padding: 5% 3% 5%;
        line-height: 3vh;
        font-size: 140%;
        overflow: auto;
    }
}



@media screen and (min-width: 1024px){
    #nav{
        width: 20vw;
        height: 100%;
        min-width: 0;
        border-right: 5px solid white;
    }
    #nav:hover {
        height: 100%;
    }
    #menu {
        width: 100%;
    }
    #social {
        width: 100%;
    }
    #social a{
        width: 100%;
        height: 100%;
        font-size: 150%;
        margin-top: 10%;
        float: none;
    }

    #menu a, #menu p{
        color: white;
        height: 4vh;
        width: 100%;
        padding: 3%;
        font-size: 1.5rem;
        margin-top: 20%;
        text-align: center;
    }
    

    #hello, #info, #about, .my-photo, #portfolio, #contact{
        width: 80vw;
        float: right;
        clear: right;
    }
    .other-informations {
        float: right;
        display: grid;
        grid-template-columns: 38vw 38vw;
        grid-template-rows: auto;
        gap: 3vw;
    }

    .other-informations>div{
        max-width: 38vw;
    }

    #hello{
        padding: 7%;
        color: white;
    }
    
    .more-info, .abilities {
        background-color: white;
    }
    .learning{
        background-color: var(--light-blue);
    }

    .screenshot{
        max-width: 350px;
    }

    #portfolio-list{
        min-width: 375px;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto;
        row-gap: 5vh;
    }

    .my-photo{
        width: 80vw;
        height: 50vh;
        overflow: hidden;
    }

    #contact{
        font-size: 1.5rem;
    }

}
